Skip to main content
GET
Calculate Funding Fees

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

API-Nonce
string
header
required

The "API-Nonce" header should contain an always-increasing 64-bit integer, most commonly a Unix timestamp in milliseconds. Each request must use a nonce greater than the nonce of the previous request signed with the same API key.

Path Parameters

method_id
string
required

Funding method to calculate fees for.

Pattern: ^[0-9a-fA-F]{8}-?(?:[0-9a-fA-F]{4}-?){3}[0-9a-fA-F]{12}$

Query Parameters

amount
string
required

Amount to calculate fees for.

Pattern: ^[+-]?(([0-9]+(\.[0-9]*)?)|(\.[0-9]+))$
fee_included
boolean

Whether the amount includes the fee.

withdrawal_fee_token
string

Token identifying a previously calculated withdrawal fee quote. Expires after 5 minutes and can be used on multiple withdrawals.

Minimum string length: 1
rebase_multiplier
enum<string>

For tokenized assets, controls whether amounts (eg fees, minimums, maximums) use rebased or base units.

Available options:
rebased,
base
account_id
string

Account ID

Response

200 - application/json
fee
object
required

Calculated funding fee.

gross_amount
object
required

Amount including the fee.

net_amount
object
required

Amount excluding the fee.

fee_details
object
required

Components of the calculated fee.

withdrawal_fee_token
string

Token identifying the calculated withdrawal fee quote for a later request. Expires after 5 minutes and can be used on multiple withdrawals.

Minimum string length: 1